Documentation Index

Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt

Use this file to discover all available pages before exploring further.

/public/smartsafe/v1/providers/{providerName}/deposits

Prev Next
Post
/public/smartsafe/v1/providers/{providerName}/deposits

Upsert Provider Deposits for Smart Safe integration

Security
HTTP
Type Bearer

Put ONLY your JWT Bearer token on textbox below!

Path parameters
providerName
stringRequired

The smart safe provider name

Body parameters

Smart safe deposit request data

Expand All
object
metadata
object (R365.Application.Models.SmartSafe.RequestMetadata)
locationInformation
Array of object (R365.Application.Models.SmartSafe.RequestLocationInformation) | null

Location information for the smart safe devices.

object
serialNumber
string | null

Serial number of the smart safe device.

name
string | null

Name or identifier of the location.

storeId
string | null

Store identifier.

location
string | null

Physical location description.

messageId
string | null

Unique message identifier.

correlationId
string | null

Correlation identifier for tracking requests.

transactions
Array of object (R365.Application.Models.SmartSafe.RequestTransaction) | null

Array of smart safe transactions.

object
pickupGroupId
integer (int64)

Pickup group identifier.

serialNumber
string | null

Smart safe device serial number.

retrievedOn
string (date-time)

Date and time when the transaction was retrieved.

transactionDateTime
string (date-time)

Date and time of the actual transaction.

userName
string | null

Username of the person who performed the transaction.

transactionType
string | null

Type of the smart safe transaction.

amount
number (double)

Transaction amount.

Responses
200

Smart safe deposits processed successfully

400

Bad Request - Invalid request data

401

Unauthorized - Invalid or missing access token

500

Internal Server Error